<?php
/**
 * Class for saving arrays as an object. We need this little extension for
 * some common methods used in whole application. Please see below if you
 * need more details.
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2014 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class FrameworkArrayObject extends ArrayObject {
	/**
	 * Real class name
	 */
	private $realClass = '';

	/**
	 * Public constructor for setting real class name
	 *
	 * @param	$className	Real class name
	 * @return	void
	 */
	public function __construct ($className) {
		$this->realClass = (string) $className;
	}

	/**
	 * Get real class' name back
	 *
	 * @return	$realClass	The class' real name
	 */
	public function __toString () {
		return $this->realClass;
	}
}

// [EOF]
?>
