<?php
/**
 * A FileStack index class
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2014 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class FileStackIndex extends BaseIndex implements IndexableStack, Registerable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this Index class and prepares it for usage
	 *
	 * @param	$fileName		Name of the file stack to create an index file for
	 * @return	$indexInstance	An instance of this Index class
	 */
	public final static function createFileStackIndex ($fileName) {
		// Get a new instance
		$indexInstance = new FileStackIndex();

		// Initialize index
		$indexInstance->initIndex($fileName);

		// Return the prepared instance
		return $indexInstance;
	}
}

// [EOF]
?>
